searchNodes=[{"ref":"Mnemo.html","title":"Mnemo","type":"module","doc":"Implementation of BIP39"},{"ref":"Mnemo.html#bit_chunk/2","title":"Mnemo.bit_chunk/2","type":"function","doc":"Splits bitstring b into n-bit chunks."},{"ref":"Mnemo.html#checksum/1","title":"Mnemo.checksum/1","type":"function","doc":"Calculates CS for given ENT. Returns a tuple consisting of the checksum and its bit size."},{"ref":"Mnemo.html#decode_integer/1","title":"Mnemo.decode_integer/1","type":"function","doc":"Decodes unsigned integer from a binary. Bitstrings are left-padded."},{"ref":"Mnemo.html#entropy/2","title":"Mnemo.entropy/2","type":"function","doc":"Converts English mnemonic to its binary entropy. Validates the provided number of words, their existence in English wordlist and finally, the checksum. If hex: true option is provided, the result is hex-encoded."},{"ref":"Mnemo.html#generate/1","title":"Mnemo.generate/1","type":"function","doc":"Generates random English mnemonic. Optional entropy length (strength) argument can be provided; defaults to 256 bits."},{"ref":"Mnemo.html#index/2","title":"Mnemo.index/2","type":"function","doc":"Retrieves index for an English word. Non-English wordlists are not implemented yet."},{"ref":"Mnemo.html#mnemonic/1","title":"Mnemo.mnemonic/1","type":"function","doc":"Generates English mnemonic for pre-existing entropy (obtained from elsehwere)."},{"ref":"Mnemo.html#pad_leading_zeros/1","title":"Mnemo.pad_leading_zeros/1","type":"function","doc":"Left pads a bitstring with zeros."},{"ref":"Mnemo.html#seed/2","title":"Mnemo.seed/2","type":"function","doc":"Derives a hex-encoded PBKDF2 seed from mnemonic. Optional passhprase can be provided in the second argument. Does not validate any mnemonic properties."},{"ref":"Mnemo.html#sentence/1","title":"Mnemo.sentence/1","type":"function","doc":"Returns a list of 11-bit word indices for given ENT_CS."},{"ref":"Mnemo.html#word/2","title":"Mnemo.word/2","type":"function","doc":"Retrieves English word by index. Non-English wordlists are not implemented yet."},{"ref":"readme.html","title":"Mnemo","type":"extras","doc":"Mnemo Elixir implementation of BIP39. (...) implementation of a mnemonic code or mnemonic sentence -- a group of easy to remember words -- for the generation of deterministic wallets. mnemo library exposes the following interfaces: [x] Generate random English mnemonic [x] Generate English mnemonic for pre-existing binary entropy [x] Convert English mnemonic back to its binary entropy [x] Derive a PBKDF2 hex-encoded seed from any mnemonic The library is tested against reference vectors from Trezor&#39;s implementation. Additionally, a simple property test guarantees mnemonic &lt;-&gt; entropy &lt;-&gt; mnemonic correctness."},{"ref":"readme.html#examples","title":"Mnemo - Examples","type":"extras","doc":"iex(1)&gt; Mnemo.generate &quot;seminar depart parent awake canal relief age emotion swap area always near voyage exist idea aunt around burst uphold web tumble mimic reopen note&quot; iex(1)&gt; mnemonic = &quot;insect miracle play mad cream upgrade engage march absorb pyramid december observe jazz senior betray family valve peasant cargo marriage table laundry melody morning&quot; iex(2)&gt; Mnemo.entropy(mnemonic, hex: true) &quot;7511ae9942d32fdd52943e00d5e0e2cc377787455a94f114448ac42dcefb62a4&quot; iex(1)&gt; Mnemo.mnemonic :crypto.strong_rand_bytes(16) &quot;emotion enroll aspect taxi nerve warrior become lens cactus stand stage pretty&quot; iex(1)&gt; Mnemo.generate |&gt; Mnemo.seed &quot;18a644cfd59eb0b509b0a73639b01e836e9e5a09f1f473a7f1b967acebc1908a9c8afe4ad8fabe7928d11ea422ffabec42db07ca7085131196b7d3fb6a1d9bc4&quot;"},{"ref":"readme.html#installation","title":"Mnemo - Installation","type":"extras","doc":"The package can be installed by adding mnemo to your list of dependencies in mix.exs: def deps do [ {:mnemo, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#documentation","title":"Mnemo - Documentation","type":"extras","doc":"Documentation can be generated locally with ExDoc. The docs can be found at https://hexdocs.pm/mnemo."}]